package com.fzm.mall.server.front.valid;

import org.apache.commons.lang3.StringUtils;

import java.util.regex.Pattern;

/**
 * @author tdz
 * @date 2021/02/22 11:26
 */

public class IdValid {
    public static boolean gid(String gid) {
        return StringUtils.isNotBlank(gid) && Pattern.matches("^[1-9]\\d{17,18}$", gid);
    }

    public static boolean oid(String oid) {
        return StringUtils.isNotBlank(oid) && Pattern.matches("^[1-9]\\d{18}$", oid);
    }

    public static boolean aid(String aid) {
        return StringUtils.isNotBlank(aid) && Pattern.matches("^[1-9]\\d{15,18}$", aid);
    }

    public static boolean cid(String cid) {
        return StringUtils.isNotBlank(cid) && Pattern.matches("^[1-9]\\d{16,18}$", cid);
    }

    public static boolean pid(String pid) {
        return StringUtils.isNotBlank(pid) && Pattern.matches("^[1-9]\\d{18}$", pid);
    }
}
